## org.hibernate.cfg.beanvalidation
Class BeanValidationIntegrator

    java.lang.Object
      org.hibernate.cfg.beanvalidation.BeanValidationIntegrator

All Implemented Interfaces:
  Integrator

    public class BeanValidationIntegrator

extends Object
implements Integrator

Field Summary
`static String` `APPLY_CONSTRAINTS`
`static String` `BV_CHECK_CLASS`
`static String` `MODE_PROPERTY`

Constructor Summary
`BeanValidationIntegrator()`

Method Summary
`void` `disintegrate(SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Tongue-in-cheek name for a shutdown callback.
`void` `integrate(Configuration configuration, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.
`void` `integrate(MetadataImplementor metadata, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.
`static void` `validateFactory(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLY_CONSTRAINTS

    public static final String APPLY_CONSTRAINTS

See Also:
  Constant Field Values

### BV_CHECK_CLASS

    public static final String BV_CHECK_CLASS

See Also:
  Constant Field Values

### MODE_PROPERTY

    public static final String MODE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### BeanValidationIntegrator

    public BeanValidationIntegrator()

Method Detail

### validateFactory

    public static void validateFactory(Object object)

### integrate

    public void integrate(Configuration configuration,
                          SessionFactoryImplementor sessionFactory,
                          SessionFactoryServiceRegistry serviceRegistry)

  Description copied from interface: `Integrator`
  Perform integration.

  Specified by:
    `integrate` in interface `Integrator`
  Parameters:
    `configuration` - The configuration used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry

### integrate

    public void integrate(MetadataImplementor metadata,
                          SessionFactoryImplementor sessionFactory,
                          SessionFactoryServiceRegistry serviceRegistry)

  Perform integration.

  Specified by:
    `integrate` in interface `Integrator`
  Parameters:
    `metadata` - The metadata used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry
  See Also:
    `Integrator.integrate(org.hibernate.metamodel.source.MetadataImplementor, org.hibernate.engine.spi.SessionFactoryImplementor, org.hibernate.service.spi.SessionFactoryServiceRegistry)`

### disintegrate

    public void disintegrate(SessionFactoryImplementor sessionFactory,
                             SessionFactoryServiceRegistry serviceRegistry)

  Description copied from interface: `Integrator`
  Tongue-in-cheek name for a shutdown callback.

  Specified by:
    `disintegrate` in interface `Integrator`
  Parameters:
    `sessionFactory` - The session factory being closed.
    `serviceRegistry` - That session factory's service registry

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.